import { OnDestroy } from 'angular2/core';
import { Http } from 'angular2/http';
import { Observable } from 'rxjs/Observable';
export interface Source {
    src: string;
    ext: string;
    text: string;
}
export interface Sourcable {
    srcChanged: Observable<any>;
    validatedSource: (string) => void;
    showLoading: () => void;
    message: (string) => void;
    handleSourceChange: (Source) => void;
}
export declare class SrcService implements OnDestroy {
    private _http;
    debounceTime: number;
    constructor(_http: Http);
    _host: Sourcable;
    host: Sourcable;
    _srcChangedSubscription: any;
    _handleSrcChanges(): void;
    ngOnDestroy(): void;
    _emptySources(source: any): boolean;
    _addExtensionMatches(source: any): {
        source: any;
        extMatches: any;
    };
    _nonFiles(req: any): boolean;
    _fetchSrc(req: any): Observable<{
        src: any;
        ext: any;
        text: string;
    }>;
    _handleResponseError(error: any): void;
}
